<!--- Retrieve a count of the number of employees for each department in 
      the EmployeeDirectory table of the database --->
<CFQUERY NAME="GetDepartment" DATASOURCE="ProgrammingCF">
         SELECT COUNT(Name) AS TotalEmployees,
                Department
         FROM EmployeeDirectory
         GROUP BY Department
</CFQUERY>

<H3>Using COUNT and GROUP BY to return the Total Number of Employees for 
    each Department</H3>
<TABLE BORDER="0" CELLPADDING="3">
<TR BGCOLOR="#C0C0C0">
  <TH>Department</TH>
  <TH>Total Employees</TH>
</TR>

<CFOUTPUT QUERY="GetDepartment">
<TR BGCOLOR="##E3E3E3">
  <TD>#Department#</TD>
  <TD>#TotalEmployees#</TD>
</TR>
</CFOUTPUT>
</TABLE>
