<!--- retrieve records from both the ITDirectory and HRDirectory tables
      and merge them using the UNION clause.  This example is somewhat
      impractical as the user's department is not stored in the
      database --->
<CFQUERY NAME="GetEmployees" DATASOURCE="ProgrammingCF">
         SELECT Name, Title, Email, PhoneExt
         FROM ITDirectory
         UNION
         SELECT Name, Title, Email, PhoneExt
         FROM HRDirectory
</CFQUERY>

<H2>Combined IT Directory and HR Directory:</H2>

<TABLE CELLPADDING="3" CELLSPACING="0">
<TR BGCOLOR="#888888">
  <TH>Name</TH>
  <TH>Title</TH>
  <TH>E-mail</TH>
  <TH>Phone Ext.</TH>
</TR>

<!--- dynamically generate a table containing all of the records returned 
      by the query --->
<CFOUTPUT QUERY="GetEmployees">
<TR BGCOLOR="##C0C0C0">
  <TD>#Name#</TD>
  <TD>#Title#</TD>
  <TD>#Email#</TD>
  <TD>#PhoneExt#</TD>
</TR>
</CFOUTPUT>
</TABLE>
