<!--- assign blank default values for any fields not passed in --->
<CFPARAM NAME="Form.Name" DEFAULT="">
<CFPARAM NAME="Form.Title" DEFAULT="">
<CFPARAM NAME="Form.Department" DEFAULT="">
<CFPARAM NAME="Form.Email" DEFAULT="">
<CFPARAM NAME="Form.PhoneExt" DEFAULT="">
<CFPARAM NAME="Form.Salary" DEFAULT="">

<!--- call the sp_AddEmployee stored procedure --->
<CFSTOREDPROC PROCEDURE="sp_AddEmployee" 
              DATASOURCE="ProgrammingCF" 
              RETURNCODE="Yes">
<!--- pass each parameter.  If the field being passed contains a blank value, 
      make it NULL --->              
<CFPROCPARAM TYPE="In" CFSQLTYPE="CF_SQL_VARCHAR" DBVARNAME="Name" 
             VALUE="#Form.Name#" MAXLENGTH="255" 
             NULL=#IIF(Form.Name IS "", 1, 0)#>
<CFPROCPARAM TYPE="In" CFSQLTYPE="CF_SQL_VARCHAR" DBVARNAME="Title" 
             VALUE="#Form.Title#" MAXLENGTH="255" 
             NULL=#IIF(Form.Title IS "", 1, 0)#>
<CFPROCPARAM TYPE="In" CFSQLTYPE="CF_SQL_VARCHAR" DBVARNAME="Department"
             VALUE="#Form.Department#" MAXLENGTH="255" 
             NULL=#IIF(Form.Department IS "", 1, 0)#>
<CFPROCPARAM TYPE="In" CFSQLTYPE="CF_SQL_VARCHAR" DBVARNAME="Email" 
             VALUE="#Form.Email#" MAXLENGTH="255" 
             NULL=#IIF(Form.Email IS "", 1, 0)#>
<CFPROCPARAM TYPE="In" CFSQLTYPE="CF_SQL_DECIMAL" DBVARNAME="PhoneExt" 
             VALUE="#Form.PhoneExt#" NULL=#IIF(Form.PhoneExt IS "", 1, 0)#>
<CFPROCPARAM TYPE="In" CFSQLTYPE="CF_SQL_DECIMAL" DBVARNAME="Salary" 
             VALUE="#Form.Salary#" NULL=#IIF(Form.Salary IS "", 1, 0)#>

<!--- assign a query object named InsertRecord to the first result set 
      returned --->
<CFPROCRESULT NAME="InsertRecord" RESULTSET="1">
</CFSTOREDPROC>       


<!--- Output status information --->
<CFIF CFSTOREDPROC.StatusCode IS 1>
  <CFOUTPUT>
  Record inserted successfully.  The employee ID assigned is: #InsertRecord.ID#
  <BR>
  The stored procedure executed in #CFSTOREDPROC.ExecutionTime# milliseconds.
  </CFOUTPUT>
<CFELSE>
  There was an error inserting the record!
</CFIF>

</BODY>
</HTML>
