<!--- initialize constants --->
<CFPARAM NAME="URL.action" DEFAULT=""> <!--- sets default action --->
<CFPARAM NAME="ReSubject" DEFAULT=""> <!--- default Re: subject --->
<!--- set the attachment path to the same directory the application resides 
       in. --->
<CFSET TheAttachmentPath = GetDirectoryFromPath(GetCurrentTemplatePath())>
<CFSET TAB=CHR(9)> <!--- sets a tab character --->

<!--- If the Password is sent encrypted by URL, decrypt it --->
<CFIF IsDefined('URL.Password')>
   <CFSET Password = Decrypt(URL.Password,815)>
</CFIF>

<!--- create a url parameter string containing the user's e-mail address, POP
      server, SMTP server, username, and password. Encrypt the password using
      the cfencrypt function.  This is NOT strong encryption --->
<CFSET Parameters = "EmailAddress=#URLEncodedFormat(EmailAddress)#&PopServer=
#URLEncodedFormat(PopServer)#&SMTPServer=#URLEncodedFormat(SMTPServer)#&Username=
#URLEncodedFormat(Username)#&Password=#URLEncodedFormat(Encrypt(Password,815))#">      

<HTML>
<HEAD>
<TITLE>Pop Client</TITLE>
</HEAD>
<BODY BGCOLOR="#C0C0C0">

<CENTER>
<TABLE BORDER="1" WIDTH="600" CELLPADDING="5">
<TR>
<TD BGCOLOR="#FFFFFF">

<!--- read a message --->
<CFIF URL.Action IS "Read">
<CFPOP ACTION="GetAll" NAME="GetMessages" MESSAGENUMBER="#Message#" 
       SERVER="#popserver#" TIMEOUT="600" USERNAME="#username#" 
       PASSWORD="#password#" ATTACHMENTPATH="#TheAttachmentPath#"
       GENERATEUNIQUEFILENAMES="yes">

<!--- Output action options --->       
<TABLE BORDER="1" CELLPADDING="5" CELLSPACING="0">
<TR BGCOLOR="#C0C0C0">
<CFOUTPUT>
<TD><A HREF="Inbox.cfm?#Parameters#">Inbox</A></TD>
<TD><A HREF="Action.cfm?action=create&#Parameters#">Create Message</A></TD>
<TD>
<A HREF="Action.cfm?action=reply&message=#URL.Message#&#Parameters#">Reply</A>
</TD>
<TD>
<A HREF="Action.cfm?action=forward&message=#URL.Message#&#Parameters#">Forward</A>
</TD>
<TD>
<A HREF="Action.cfm?action=delete&message=#URL.Message#&#Parameters#">Delete</A>
</TD>
</CFOUTPUT>
</TR>
</TABLE>
       
<CFOUTPUT QUERY="GetMessages">
<HR NOSHADE>   
<P>
<FONT COLOR="blue">From:</FONT> #HTMLEditFormat(FROM)# on #HTMLEditFormat(Date)#
<BR>
<FONT COLOR="blue">To:</FONT> #HTMLEditFormat(TO)# <BR>
<FONT COLOR="blue">Cc:</FONT> #HTMLEditFormat(CC)# <BR>
<FONT COLOR="blue">Subject:</FONT> #HTMLEditFormat(SUBJECT)#
<P>
#BODY# <BR>
<!--- If there are attachments, display links to them --->
<CFIF Attachments IS NOT "">
Attachments:<BR>
<CFLOOP FROM="1" TO="#ListLen(Attachments, Tab)#" INDEX="TheAttachment">
<A HREF="#URLEncodedFormat(GetFileFromPath(ListGetAt(AttachmentFiles, 
   TheAttachment, Tab)))#">#ListGetAt(Attachments, TheAttachment, Tab)#</A><BR>
</CFLOOP>
</CFIF>
</CFOUTPUT>

<!--- reply to, forward, or create a message --->
<CFELSEIF URL.Action IS "Reply" OR URL.Action IS "Forward" OR URL.Action IS 
          "create">
<TABLE BORDER="1" CELLPADDING="5" CELLSPACING="0">
<TR BGCOLOR="#C0C0C0">
    <CFOUTPUT>
    <TD><A HREF="inbox.cfm?#Parameters#">Inbox</A></TD>
    </CFOUTPUT>
</TR>
</TABLE>
<CFIF URL.Action IS "Reply" OR URL.Action IS "Forward">

<CFPOP ACTION="GETALL" NAME="GetMessage" MESSAGENUMBER="#Message#" 
       SERVER="#popserver#" TIMEOUT="600" USERNAME="#username#" 
       PASSWORD="#password#" ATTACHMENTPATH="#TheAttachmentPath#"
       GENERATEUNIQUEFILENAMES="yes">

<!--- Preface the subject with Re: --->       
<CFIF FindNoCase("Re:", Left(Trim(GetMessage.Subject), 3)) IS 0>
    <CFSET ReSubject = "Re: " & Trim(GetMessage.Subject)>
<CFELSE>
    <CFSET ReSubject = Trim(GetMessage.Subject)>
</CFIF>
</CFIF>

<CFOUTPUT>
<FORM ACTION="action.cfm?action=send&#Parameters#" METHOD="POST" 
      ENCTYPE="multipart/form-data">
<CFIF IsDefined('GetMessage.Attachments')>
<!--- Include the attachment info --->
<INPUT TYPE="hidden" NAME="ForwardedAttachmentFiles" 
       VALUE="#GetMessage.AttachmentFiles#">
<INPUT TYPE="hidden" NAME="ForwardedAttachments" VALUE="#GetMessage.Attachments#">
</CFIF>
</CFOUTPUT>
<INPUT TYPE="SUBMIT" VALUE="Send">
<CFOUTPUT>
<TABLE>
<TR>
    <TD ALIGN="RIGHT"><FONT COLOR="blue"><B>To:</B></FONT></TD>
    <TD><INPUT TYPE="TEXT" NAME="To" VALUE="<CFIF URL.Action IS "Reply">#HTMLEditFormat(Trim(GetMessage.From))#</CFIF>" SIZE="50"></TD>
</TR>
<TR>
    <TD ALIGN="RIGHT"><FONT COLOR="blue"><B>cc:</B></FONT></TD>
    <TD><INPUT TYPE="TEXT" NAME="cc" SIZE="50"></TD>
</TR>
<TR>
    <TD ALIGN="RIGHT"><FONT COLOR="blue"><B>bcc:</B></FONT></TD>
    <TD><INPUT TYPE="TEXT" NAME="bcc" SIZE="50"></TD>
</TR>
<TR>
    <TD ALIGN="RIGHT"><FONT COLOR="blue"><B>Subject:</B></FONT></TD>
    <TD><INPUT TYPE="TEXT" NAME="Subject" VALUE="<CFIF URL.Action IS NOT
       "Create">#HTMLEditFormat(ReSubject)#</CFIF>" SIZE="50"></TD>
</TR>
</TABLE>

<P>
<TEXTAREA NAME="Body" COLS="70" ROWS="15" WRAP="VIRTUAL"><CFIF URL.Action IS NOT
 "Create">>>#GetMessage.Body#</CFIF></TEXTAREA></P>
</CFOUTPUT>

<!--- If forwarding, include attachments --->
<CFIF Action IS "Forward">
File Attachments:<BR>
<CFOUTPUT>
<FONT COLOR="Blue">
<CFLOOP FROM="1" 
        TO="#ListLen(GetMessage.Attachments, Tab)#" 
        INDEX="TheAttachment">
#ListGetAt(GetMessage.Attachments, TheAttachment, Tab)#<BR>
</CFLOOP></FONT>
</CFOUTPUT>
</CFIF>
<P>
<FONT COLOR="blue"><B>File Attachment:</B></FONT><BR>
<INPUT TYPE="FILE" NAME="Attachment">
<P>
<INPUT TYPE="SUBMIT" VALUE="Send">
</FORM> 

<!--- delete a message.  --->
<CFELSEIF URL.Action IS "Delete" OR (IsDefined('Form.Action') AND Form.Action 
 IS "Delete")>
<CFPOP ACTION="Delete" MESSAGENUMBER="#Message#" SERVER="#popserver#" 
       TIMEOUT="600" USERNAME="#username#" PASSWORD="#password#">    
<CFLOCATION URL="inbox.cfm?#Parameters#">

<!--- send the message --->
<CFELSEIF URL.Action IS "Send">

<!--- Check to see if there is an attachment to upload before sending --->
<CFIF IsDefined('Form.Attachment') AND Form.Attachment IS NOT "">    
<CFFILE ACTION="UPLOAD" FILEFIELD="Attachment" 
        DESTINATION="#TheAttachmentPath#" 
        NAMECONFLICT="MAKEUNIQUE">
</CFIF>

<!--- send the message --->        
<CFMAIL TO="#Form.To#" 
        FROM="#EmailAddress#" 
        SUBJECT="#Form.Subject#" 
        CC="#Form.cc#" 
        BCC="#Form.bcc#"
        SERVER="#SMTPServer#"
        TIMEOUT="600">
#Form.Body#
<!--- Include the new attachment if necessary --->
<CFIF IsDefined('Form.Attachment') AND Form.Attachment IS NOT "">        
<CFMAILPARAM FILE="#TheAttachmentPath#\#File.ServerFile#">
</CFIF>

<!--- Include any forwarded attachments if necessary --->
<CFIF IsDefined('ForwardedAttachments')>
<CFLOOP FROM="1" TO="#ListLen(ForwardedAttachments, Tab)#" INDEX="TheAttachment">
<CFMAILPARAM FILE="#ListGetAt(ForwardedAttachmentFiles, TheAttachment, Tab)#">
</CFLOOP>
</CFIF>          
</CFMAIL>
<CFLOCATION URL="inbox.cfm?#Parameters#">

<!--- No Action selected.  Redirect back to inbox --->
<CFELSE>
<CFLOCATION URL="inbox.cfm?#Parameters#">
</CFIF>

</TD>
</TR>
</TABLE>
</CENTER>
</BODY>
</HTML>
