<!--- Use CFHTTP GET to grab the delimited text file --->
<CFHTTP METHOD="GET"
    URL="http://127.0.0.1/examples/chapter14/hrdata.txt"
    NAME="MyQuery"
    COLUMNS="Name,Title,Department,Extension,JobCode"
    DELIMITER=","
    TEXTQUALIFIER="">
</CFHTTP>

<!--- create a one-dimensional array called StatusArray to hold the 
      status value to be appended to the query object --->
<CFSET StatusArray = ArrayNew(1)>

<!--- loop over the query object checking the first letter of the jobcode.
      Assign a value for Stat depending on the jobcode. --->
<cfloop query="MyQuery">
        <CFIF Left(MyQuery.JobCode, 1) IS "A">
            <CFSET Stat="Exempt">
        <CFELSEIF Left(MyQuery.JobCode, 1) IS "B">
            <CFSET Stat="Exempt">
        <CFELSEIF Left(MyQuery.JobCode, 1) IS "C">
            <CFSET Stat="Non-exempt">
        <CFELSEIF Left(MyQuery.JobCode, 1) IS "D">
            <CFSET Stat="Temporary">
        <CFELSE>
            <CFSET Stat="Other">
        </CFIF>
        <!--- add the value of stat to the StatusArray --->
	    <CFSET StatusArray[CurrentRow] = stat>
</CFLOOP>

<!--- create a new column called Shipping and populate it with the data from
      the ShippingArray array --->
<CFSET MyNewColumn = QueryAddColumn(MyQuery, "Status", StatusArray)>

<!--- Output the results of the modified query to an HTML table. --->
<TABLE BORDER="0" CELLPADDING="3">
<TR BGCOLOR="#8A8A8A">
    <TH>Name</TH>
    <TH>Title</TH>
    <TH>Department</TH>
    <TH>Extension</TH>
    <TH>Job Code</TH>
    <TH>Status</TH>
</TR>
<CFOUTPUT QUERY="MyQuery">
<TR BGCOLOR="##C0C0C0">
    <TD>#Name#</TD>
    <TD>#Title#</TD>
    <TD>#Department#</TD>
    <TD>#Extension#</TD>
    <TD>#JobCode#</TD>
    <TD>#Status#</TD>
</TR>
</CFOUTPUT>
</TABLE>
