<!--- Retrieve the WDDX packet containing the tips from the wddx_tipsregistry.txt 
      file we have saved on our CF server. --->
<CFHTTP URL="http://127.0.0.1/wddx_tipsregistry.txt " METHOD="GET">

<!--- This is the code you would use if you wanted to use CFFILE instead of 
      CFHTTP.  It is commented out.
<CFFILE ACTION="Read" 
        FILE="e:\inetsrv\wwwroot\wddx_tipsregistry.txt" 
        VARIABLE="MyTips">
--->

<!--- Deserialize the wddx packet.  The packet contains an array of structures
      that contain the full URL to the tip as well as the title, a synopsis, 
      and the author's e-mail address.  If you used CFFILE, change the INPUT 
      value to MyTips --->
<CFWDDX ACTION="WDDX2CFML" INPUT="#CFHTTP.FileContent#" OUTPUT="MyTips">

<TABLE WIDTH="400">
<TR>
  <TD>        
  <!--- loop through the array and output the contents of each structure --->        
  <CFOUTPUT>
  <CFLOOP INDEX="i" FROM="1" TO="#ArrayLen(MyTips)#">
  <B><FONT SIZE="+1">#MyTips[i].Title#</FONT></B><BR>
  <FONT SIZE="-1">Last updated: #MyTips[i].LastUpdate#</FONT><BR>
  <FONT SIZE="-1"><A HREF="mailto:#MyTips[i].Author#">#MyTips[i].Author#</A>
  </FONT><BR>
  #MyTips[i].Synopsis#<BR>
  (<A HREF="http://#MyTips[i].URL#">Full tip...)</A>
  <P>
  </CFLOOP>
  </CFOUTPUT>
  </TD>
</TR>
</TABLE>
