<!--- get the employee record based on the info passed in by the scheduler --->
<CFQUERY NAME="GetRecord" DATASOURCE="ProgrammingCF" DBTYPE="ODBC">
         SELECT Name, Title, Department, Email, PhoneExt
         FROM EmployeeDirectory WHERE ID = #Url.ID#
</CFQUERY>

<!--- check the desired delivery format from URL.DeliveryFortmat and act 
      accordingly --->
<CFIF URL.DELIVERYFORMAT IS "HTMLPage">
<!--- create the page to be written as a static page. --->
<HTML>
<HEAD>
 <CFOUTPUT>
 <TITLE>Report for #GetRecord.Name#</TITLE>
 </CFOUTPUT>
</HEAD>

<BODY>

<CFOUTPUT>
<H2>Employee Information for #GetRecord.Name#</H2>
</CFOUTPUT>

<TABLE CELLPADDING="3" CELLSPACING="0">
<TR BGCOLOR="#888888">
  <TH>Name</TH><TH>Title</TH><TH>Department</TH><TH>E-mail</TH>
  <TH>Phone Extension</TH>
</TR>    
<CFOUTPUT QUERY="GetRecord">
<TR BGCOLOR="##C0C0C0">
  <TD>#Name#</TD><TD>#Title#</TD><TD>#Department#</TD>
  <TD><A HREF="Mailto:#Email#">#Email#</A></TD><TD>#PhoneExt#</TD>
</TR>    
</CFOUTPUT>
</TABLE>
</BODY>
</HTML>

<!--- now send an e-mail to the employee letting them know where their page 
      is --->
<CFMAIL TO="#GetRecord.Email#" FROM="webmaster@example.com"
        SUBJECT="Your scheduled report is ready">
#GetRecord.Name#,

Your scheduled report is now ready for viewing.  You may see it by pointing your 
browser to:

http://127.0.0.1/#Replace(GetRecord.Name, ' ', '_', 
'All')#/#Replace(GetRecord.Name, ' ', '_', 'All')#.htm        

Best regards,

The Webmaster
</CFMAIL>

<!--- otherwise, send an e-mail report to the employee --->        
<CFELSE>
<CFMAIL TO="#GetRecord.Email#" FROM="webmaster@example.com"
        SUBJECT="Your scheduled report" QUERY="GetRecord">
#Name#,

Here is your employee report:

Name: #Name#
Title: #Title#
Department: #Department#
E-mail: #Email#
Phone Ext: #PhoneExt#

Best regards,

The Webmaster
</CFMAIL> 
</CFIF>
