<!--- execute the windows IPCONFIG.EXE program.  Write the results to a 
      text file called ipconig.txt in c:\winnt\temp --->
<CFTRY>      
<CFEXECUTE NAME="ipconfig.exe" ARGUMENTS="/all"
           OUTPUTFILE="c:\winnt\temp\ipconfig.txt" TIMEOUT="30"/>

<CFCATCH TYPE="Any">
There was an error trying to execute the program specified in the 
CFEXECUTE tag.  Details follow:
<P>
<CFOUTPUT>
Type: #CFCATCH.Type#<BR>
Message: #CFCATCH.Message#<BR>
Details: #CFCATCH.Detail#
</CFOUTPUT>
<CFABORT>
</CFCATCH>
</CFTRY>           

<!--- check to see if the output file exists.  If so, read it in using 
      CFFILE and output the contents to the browser.  If it doesn't 
      exist, output a message to the browser asking the user to try 
      again --->
<CFTRY> 
<CFIF FileExists("c:\winnt\temp\ipconfig.txt")>
    <CFFILE ACTION="READ" 
            FILE="c:\winnt\temp\ipconfig.txt" 
            VARIABLE="IpConfig">
    <CFOUTPUT>
    <PRE>#IpConfig#</PRE>
    </CFOUTPUT>
<CFELSE>
    The file was not written to the server in time to be included.  
    Please hit your browser's Reload button and try again.
</CFIF>

<CFCATCH TYPE="Any">
There was an error trying to access the IpConfig.txt file. Details 
follow:
<P>
<CFOUTPUT>
Type: #CFCATCH.Type#<BR>
Message: #CFCATCH.Message#<BR>
Details: #CFCATCH.Detail#
</CFOUTPUT>
<CFABORT>
</CFCATCH>
</CFTRY>
