<!--- retrieve all of the incentive awards for each employee in the 
      department specified from the previous graph --->
<CFQUERY NAME="GetEmployeeInfo" DATASOURCE="ProgrammingCF">
         SELECT EmployeeDirectory.Name,
                IncentiveAwards.Amount
         FROM EmployeeDirectory, IncentiveAwards
         WHERE EmployeeDirectory.ID = IncentiveAwards.ID
         AND EmployeeDirectory.Department = '#URL.Department#'
</CFQUERY>

<!--- query the GetEmployeeInfo query and sum the total amount of incentive
      awards for each employee in the department --->
<CFQUERY NAME="SumPeople" DBTYPE="Query">
         SELECT Name, Sum(Amount) AS TheAmount
         FROM GetEmployeeInfo
         GROUP BY Name
     
</CFQUERY>         

<CFGRAPH TYPE="bar"
         QUERY="SumPeople"
         VALUECOLUMN="TheAmount"
         ITEMCOLUMN="Name"
         TITLE="Total Incentive Awards Per Employee in #URL.Department#"
         GRIDLINES="5"
         ITEMLABELORIENTATION="horizontal">
</CFGRAPH>  
