<!--- Update the record specified by the ID field.  Note that numeric
      values are not enclosed in single quotes in the SET clause. --->
<CFQUERY NAME="UpdateRecord" DATASOURCE="ProgrammingCF">
UPDATE EmployeeDirectory
SET Name = '#Form.Name#',
    Title = '#Form.Title#', 
    Department = '#Form.Department#', 
    Email = '#Form.Email#', 
    PhoneExt = #Form.PhoneExt#,
    Salary = #Form.Salary#
WHERE ID = #Form.ID#    
</CFQUERY>

<!--- retrieve the record we just updated --->
<CFQUERY NAME="GetRecord" DATASOURCE="ProgrammingCF">
         SELECT ID, Name, Title, Department, Email, PhoneExt, Salary
         FROM EmployeeDirectory
         WHERE ID = #Form.ID#
</CFQUERY>

<HTML>
<HEAD>
    <TITLE>CFQUERY Update</TITLE>
</HEAD>

<BODY>

<H2>Record updated using CFQUERY!</H2>

<H3>Here are the record details...</H3>

<TABLE CELLPADDING="3" CELLSPACING="0">
<TR BGCOLOR="#888888">
    <TH>ID</TH>
    <TH>Name</TH>
    <TH>Title</TH>
    <TH>Department</TH>
    <TH>E-mail</TH>
    <TH>Phone Extension</TH>
    <TH>Salary</TH>
</TR>

<!--- output the record --->
<CFOUTPUT QUERY="GetRecord">
<TR BGCOLOR="##C0C0C0">
    <TD>#ID#</TD>
    <TD>#Name#</TD>
    <TD>#Title#</TD>
    <TD>#Department#</TD>
    <TD><A HREF="Mailto:#Email#">#Email#</A></TD>
    <TD>#PhoneExt#</TD>
    <TD>#Salary#</TD>
</TR>    
</CFOUTPUT>
</TABLE>

</BODY>
</HTML>
