<!--- query the EmployeeDirectory and IncentiveAwards tables and only return
      records where the ID from the EmployeeDirectory table matches the ID in 
      the IncentiveAwards table,  The inner join is performed by the equal
      sign. --->
<CFQUERY NAME="GetEmployeeInfo" DATASOURCE="ProgrammingCF">
         SELECT EmployeeDirectory.ID, EmployeeDirectory.Name, 
                IncentiveAwards.ID, IncentiveAwards.Category, 
                IncentiveAwards.DateAwarded, IncentiveAwards.Amount
         FROM EmployeeDirectory, IncentiveAwards
         WHERE EmployeeDirectory.ID = IncentiveAwards.ID
</CFQUERY>

<H3>Incentive Awards</H3>

<TABLE CELLPADDING="3" CELLSPACING="0">
<TR BGCOLOR="#888888">
  <TH>Name</TH>
  <TH>Award Type</TH>
  <TH>Date Awarded</TH>
  <TH>Amount</TH>
</TR>

<!--- dynamically generate a table containing all of the records returned 
      by the query --->
<CFOUTPUT QUERY="GetEmployeeInfo">
<TR BGCOLOR="##C0C0C0">
  <TD>#Name#</TD>
  <TD>#Category#</TD>
  <TD>#DateFormat(DateAwarded, 'mm/dd/yyyy')#</TD>
  <TD>#DollarFormat(Amount)#</TD>
</TR>
</CFOUTPUT>
</TABLE>
