<!--- set ID = 1.  Normally, this value would come from a form post or as 
      a URL parameter --->
<CFSET ID = 1>

<!--- retrieve the full record of the employee whose ID is specified.  
      Use the CFQUERYPARAM tag to bind ID to a numeric value. --->
<CFQUERY NAME="GetEmployeeRecord" DATASOURCE="ProgrammingCF">
         SELECT Name, Title, Department, Email, PhoneExt, Salary
         FROM EmployeeDirectory
         WHERE ID = <CFQUERYPARAM VALUE="#ID#"
                                  CFSQLTYPE="CF_SQL_INTEGER">
</CFQUERY>

<H2>Employee Profile</H2>

<TABLE CELLPADDING="3" CELLSPACING="0">
<TR BGCOLOR="#888888">
  <TH>Name</TH>
  <TH>Title</TH>
  <TH>Department</TH>
  <TH>E-mail</TH>
  <TH>Phone Extension</TH>
  <TH>Salary</TH>
</TR>    
<!--- generate an HTLML table containing the employee record from the 
      GetEmployeeRecord query. --->
<CFOUTPUT>
<TR BGCOLOR="##C0C0C0">
  <TD>#GetEmployeeRecord.Name#</TD>
  <TD>#GetEmployeeRecord.Title#</TD>
  <TD>#GetEmployeeRecord.Department#</TD>
  <TD><A 
       HREF="Mailto:#GetEmployeeRecord.Email#">#GetEmployeeRecord.Email#</A></TD>
  <TD>#GetEmployeeRecord.PhoneExt#</TD>
  <TD>#GetEmployeeRecord.Salary#</TD>
</TR>    
</CFOUTPUT>
</TABLE>
