<!--- query the employeedirectory table.  If a cached result set that is less 
      than 1 hour old, use it.  Otherwise, perform a new query and cache the 
      result set. --->
<CFQUERY NAME="GetEmployeeInfo" DATASOURCE="ProgrammingCF"
         CACHEDWITHIN="#CreateTimeSpan(0,1,0,0)#">
         SELECT Name, Title, Department, Email, PhoneExt
         FROM EmployeeDirectory
</CFQUERY>

<HTML>
<HEAD>
    <TITLE>Cachedwithin Example</TITLE>
</HEAD>

<BODY>

<!--- output the result set.  If you have debugging turned on, you will be able
      to see whether the query was live or cached --->
<TABLE CELLPADDING="3" CELLSPACING="0">
<TR BGCOLOR="#888888">
  <TH>Name</TH>
  <TH>Title</TH>
  <TH>Department</TH>
  <TH>E-mail</TH>
  <TH>Phone Extension</TH>
</TR>    
<CFOUTPUT QUERY="GetEmployeeInfo">
<TR BGCOLOR="##C0C0C0">
  <TD>#Name#</TD>
  <TD>#Title#</TD>
  <TD>#Department#</TD>
  <TD><A HREF="Mailto:#Email#">#Email#</A></TD>
  <TD>#PhoneExt#</TD>
</TR>    
</CFOUTPUT>
</TABLE>

</BODY>
</HTML>
