<!--- open the FTP connection --->
<CFLOCK SCOPE="Session" TYPE="Exclusive" TIMEOUT="60" THROWONTIMEOUT="Yes">

<CFFTP ACTION="Open"
       USERNAME="myusername"
       CONNECTION="MyConnection"
       PASSWORD="mypassword"
       SERVER="127.0.0.1"
       STOPONERROR="Yes">
</CFLOCK>

<P>
<B>Connection opened</B>

<!--- Remove the file called myfile.txt from the incoming directory on the 
      remote FTP server --->
<CFLOCK SCOPE="Session" TYPE="ReadOnly" TIMEOUT="60" THROWONTIMEOUT="Yes">

<CFFTP ACTION="Remove"
       STOPONERROR="No"
       ITEM="/incoming/myfile.txt"
       CONNECTION="MyConnection">
</CFLOCK>

<P>
<CFIF CFFTP.Succeeded>
    <B>File successfully removed!</B>
<CFELSE>
    <B>The following error occurred while attempting to remove your file:</B><BR>
    <CFOUTPUT>
    <B><I>Error number #CFFTP.ErrorCode#: #CFFTP.ErrorText#</I></B>
    </CFOUTPUT>
</CFIF> 


<!--- close the ftp connection --->
<CFLOCK SCOPE="Session" TYPE="ReadOnly" TIMEOUT="60" THROWONTIMEOUT="Yes">

<CFFTP ACTION="Close"
       CONNECTION="MyConnection"
       STOPONERROR="Yes">
</CFLOCK>

<P>
<B>Connection closed.</B>
