<!--- Query the database for each of the news items to get the ArticleID, Title,
      and Article body --->
<CFQUERY NAME="IndexNews" DATASOURCE="ProgrammingCF">
    SELECT ArticleID, Title, Article FROM News
</CFQUERY>

<!--- Index the contents of the query object using CFINDEX --->
<CFLOCK NAME="CFINDEX_Lock" TYPE="EXCLUSIVE" TIMEOUT="30">
  <CFINDEX COLLECTION="News" ACTION="Update" TYPE="Custom" BODY="Title,Article"  
      KEY="ArticleID" TITLE="Title" QUERY="IndexNews">
</CFLOCK>
    
<CENTER>
  <H2>Finished Indexing The News Database</H2>
</CENTER>
