<!--- Query the news table for all articles --->
<CFQUERY NAME="MyQuery" DATASOURCE="ProgrammingCF">
    SELECT ArticleID,ArticleType,Title,Article,DatePosted FROM News
</CFQUERY>

<!--- Purge and populate the Verity collection with the data from the above
      query --->
<CFLOCK NAME="CFINDEX_Lock" TYPE="EXCLUSIVE" TIMEOUT="30">
<CFINDEX ACTION="Refresh" COLLECTION="News" KEY="ArticleID" TYPE="CUSTOM"
         TITLE="Title" QUERY="MyQuery" BODY="Article" CUSTOM1="ArticleType"
         CUSTOM2="DatePosted">
</CFLOCK>
            
<CENTER>
  <H2>Done Indexing the Collection</H2>
</CENTER>
