<!--- Query the news table for all articles --->
<CFQUERY NAME="IndexArticle" DATASOURCE="ProgrammingCF">
         SELECT ArticleID,Title,Article FROM News
</CFQUERY>

<!--- Populate the database collection from the indexarticle query --->
<CFLOCK NAME="CFINDEX_Database_Lock" TYPE="EXCLUSIVE" TIMEOUT="30">
<CFINDEX COLLECTION="Database" ACTION="refresh" TYPE="CUSTOM"  
         BODY="Title,Article" KEY="ArticleID" TITLE="Title" QUERY="IndexArticle">
</CFLOCK>

<!--- Populate the documents collection --->
<CFLOCK NAME="CFINDEX_Documents_Lock" TYPE="EXCLUSIVE" TIMEOUT="30">
<CFINDEX ACTION="refresh" COLLECTION="Documents"
         KEY="D:\inetsrv\examples\16\dual\" TYPE="path"
         URLPATH="http://127.0.0.1/examples/16/dual"
         EXTENSIONS=".htm, .html, .doc, .pdf" RECURSE="no">
</CFLOCK>

<CENTER>
  <H2>Finished Indexing the Collections</H2>
</CENTER>
