<CFSETTING ENABLECFOUTPUTONLY="Yes">
<!------------------------------------------------------------------------
NAME:           CF_CountWords
FILE:           CountWords.cfm
CREATED:        04/24/1998
LAST MODIFIED:  04/24/1998
VERSION:        1.0
AUTHOR:         Rob Brooks-Bilson (rbils@amkor.com)
DESCRIPTION:    CF_CountWords is a custom CFML tag that counts the total
                number of words passed in a text string.  This tag is
                similar to the CFX tag CFX_WordCount but was written in
                CFML as opposed to C++.
ATTRIBUTES:     REQUIRED
                String(string) = Block of text to get a word count for.              
KNOWN ISSUES:   None
------------------------------------------------------------------------->

<!--- set a local variable to the passed atrtribute.  This isn't absolutely
      necessary, but it is a good idea as it allows you to reference the
      original value again if you ever need to. --->
<CFSET Local_String = Attributes.String>

<!--- Get the number of words in the string by treating the string as a list 
      and using the space character as the delimiter. --->
<CFSET WordsInString = ListLen(Local_String, " ")>

<!--- return the count back to the calling template as a variable called
      NumberOfWords. --->
<CFSET Caller.NumberOfWords = WordsInString>
<CFSETTING ENABLECFOUTPUTONLY="No">
