<!--- get all employee records --->
<CFQUERY NAME="GetEmployeeInfo" DATASOURCE="ProgrammingCF">
   SELECT * FROM EmployeeDirectory
</CFQUERY>

<!--- serialize the employee records to a wddx packet --->
<CFWDDX ACTION="CFML2WDDX" INPUT="#GetEmployeeInfo#"
        OUTPUT="QueryObject" USETIMEZONEINFO="Yes">
 
<!--- output the wddx packet in a text area so you can see the entire packet --->
<H3>WDDX Packet Containing a Query Object</H3>
<FORM>
<CFOUTPUT>
<TEXTAREA ROWS="15" COLS="80" WRAP="virtual">#HTMLEditFormat(QueryObject)#
</TEXTAREA>
</CFOUTPUT>
</FORM>

<!--- deserialize the wddx packet containing the query object --->
<CFWDDX ACTION="WDDX2CFML" INPUT="#QueryObject#" 
        OUTPUT="DeserializedQueryObject">

<H3>Here Is The Deserialized Query Object:</H3>  
<TABLE CELLPADDING="3" CELLSPACING="0">
<TR BGCOLOR="#888888">
  <TH>Name</TH><TH>Title</TH><TH>Department</TH><TH>E-mail</TH>
  <TH>Phone Extension</TH>
</TR>    
<CFOUTPUT QUERY="DeserializedQueryObject">
<TR BGCOLOR="##C0C0C0">
  <TD>#Name#</TD><TD>#Title#</TD><TD>#Department#</TD>
  <TD><A HREF="Mailto:#Email#">#Email#</A></TD><TD>#PhoneExt#</TD>
</TR>    
</CFOUTPUT>
</TABLE>
