<!--- create a one-dimensional array of student grades --->
<CFSET GRADES = ARRAYNEW(1)>

<CFSET GRADES[1] = 95>
<CFSET GRADES[2] = 93>
<CFSET GRADES[3] = 87>
<CFSET GRADES[4] = 100>
<CFSET GRADES[5] = 74>

<!--- serialize the grades array to a wddx packet --->
<CFWDDX ACTION="CFML2WDDX" INPUT="#Grades#" OUTPUT="GradesArray">

<!--- output the wddx packet in a text area so you can see the entire packet --->
<H3>WDDX Packet Containing A One-dimensional Array</H3>
<FORM>
<CFOUTPUT>
<TEXTAREA ROWS="6" COLS="80" WRAP="virtual">#HTMLEditFormat(GradesArray)#
</TEXTAREA>
</CFOUTPUT>
</FORM>

<!--- deserialize the gradesarray wddx packet back to an array --->
<CFWDDX ACTION="WDDX2CFML" INPUT="#GradesArray#" OUTPUT="DeserializedArray">

<H3>Here Are The Deserialized Grades:</H3>        
<CFLOOP INDEX="i" FROM="1" TO="#ArrayLen(DeserializedArray)#">
<CFOUTPUT>
Grade #i#: #DeserializedArray[i]#<BR>
</CFOUTPUT>
</CFLOOP>
