<!--- create a form field called Form.Phone.  Normally, this would be
      passed in by a form. --->
<CFSET Form.Phone = "302-555 1212">

<!--- strip all non numeric values from the string --->
<CFSET Form.Phone = ReReplace(Form.Phone, "[^0-9]", "", "ALL")>

<!--- a standard U.S. phone number has 10 digits.  If there are more or
      less, assign "invalid" to the string.  Otherwise, reformat the phone
      number using (xxx)xxx-xxxx as the mask.  --->
<CFIF Len(Form.Phone) EQ 10>
  <CFSET Form.Phone = ReReplace(Form.Phone,
         '([0-9]{3})([0-9]{3})([0-9]{4})','(\1)\2-\3')>
<CFELSE>
  <CFSET Form.Phone = "Invalid">
</CFIF>

<!--- output the phone number --->
<CFOUTPUT>
#Form.Phone#
</CFOUTPUT>
