<!--- retrieve a list of all employees who are in the IT department --->
<CFQUERY NAME="GetITEmployees" DATASOURCE="ProgrammingCF">
         SELECT Name
         FROM EmployeeDirectory
         WHERE Department = 'IT'
</CFQUERY>

<!--- retrieve all the employee from the EmployeeDirectory table --->
<CFQUERY NAME="GetAllEmployees" DATASOURCE="ProgrammingCF">
         SELECT ID, Name
         FROM EmployeeDirectory
         ORDER BY Name
</CFQUERY>

<!-- the ValueList function is used to build a comma-delimited list of
     values from a query column --->
<CFSET EmployeeList = ValueList(GetITEmployees.Name)>

<H2>Populating a Multiple Select Box</H2>
<FORM>
<TABLE>
<TR>
  <TD><B>Department:</B></TD>
  <TD>IT</TD>
</TR>

<!--- generate the options for the multiple select list.  If the option 
      being generated matches a value from the list of IT employees, 
      make that option a SELECTED option. --->
<TR>
<TD VALIGN="top"><B>Name:</B></TD>
<TD><SELECT NAME="Employees" SIZE="10" MULTIPLE>
    <CFOUTPUT QUERY="GetAllEmployees">
    <OPTION VALUE="#GetAllEmployees.ID#" <CFIF ListFind(EmployeeList,
GetAllEmployees.Name)>SELECTED</CFIF>>#GetAllEmployees.Name#
    </CFOUTPUT>
    </SELECT></TD>
</TR>
</TABLE>
</FORM>
