<!--- update all of the form fields passed in the EmployeeDirectory 
      table of the ProgrammingCF data source. --->
<CFUPDATE DATASOURCE="ProgrammingCF" 
          TABLENAME="EmployeeDirectory">

<!--- This query uses the Form.ID value to lookup the full record 
      we just updated. --->
<CFQUERY NAME="GetRecord" DATASOURCE="ProgrammingCF">
         SELECT ID, Name, Title, Department, Email, PhoneExt, Salary
         FROM EmployeeDirectory
         WHERE ID = #Form.ID#
</CFQUERY>    

<HTML>
<HEAD>
    <TITLE>CFUPDATE Update</TITLE>
</HEAD>

<BODY>

<H2>Record updated using CFUPDATE without Field Names!</H2>

<H3>Here are the record details...</H3>

<TABLE CELLPADDING="3" CELLSPACING="0">
<TR BGCOLOR="#888888">
    <TH>ID</TH>
    <TH>Name</TH>
    <TH>Title</TH>
    <TH>Department</TH>
    <TH>E-mail</TH>
    <TH>Phone Extension</TH>
    <TH>Salary</TH>
</TR>

<!--- output the record --->
<CFOUTPUT QUERY="GetRecord">
<TR BGCOLOR="##C0C0C0">
    <TD>#ID#</TD>
    <TD>#Name#</TD>
    <TD>#Title#</TD>
    <TD>#Department#</TD>
    <TD><A HREF="Mailto:#Email#">#Email#</A></TD>
    <TD>#PhoneExt#</TD>
    <TD>#Salary#</TD>
</TR>    
</CFOUTPUT>
</TABLE>

</BODY>
</HTML>
