<!--- suppress extraneous whitespace.  Note that the CFSETTING tag must be
      paired --->
<CFSETTING ENABLECFOUTPUTONLY="Yes">

<!--- set the app name, turn on session management, enable cookies, and set
      application and session variable timeouts of 30 minutes each --->
<CFAPPLICATION NAME="MyApplication" SESSIONMANAGEMENT="Yes" SETCLIENTCOOKIES="Yes"
     SESSIONTIMEOUT="#CREATETIMESPAN(0, 0, 30, 0)#"
     APPLICATIONTIMEOUT="#CREATETIMESPAN(0, 0, 30, 0)#">

<!--- check to see if the application has been initialized.  If not, set the
      necessary application variables and initialize the app --->
<CFLOCK TIMEOUT="30" THROWONTIMEOUT="No" TYPE="Exclusive" SCOPE="Application">
<CFIF NOT IsDefined('Application.Initialized')>
  <CFSET Application.TheDatasource = "MyDatasource">
  <CFSET Application.AdminEmail = "webmaster@mydomain.com">
  <CFSET Application.UploadDirectory = "D:\uploads\">
  <!--- Set the application.initialized variable to true so that this block 
        of code does not execute every time the Application.cfm file is 
        called --->
  <CFSET Application.Initialized = TRUE>
</CFIF>
</CFLOCK>
<!--- this is the end tag for the first CFSETTING tag --->
<CFSETTING ENABLECFOUTPUTONLY="No">
