<CFTRY>

<!--- set the default log file write status to successful --->
<CFPARAM NAME="LogFileStatus" DEFAULT="Log entry successful.">

<H2>Attempting to write a log file entry...</H2>

<!--- lock the cffile call so that only one call can be attempted at a time.
      If you want to purposely generate an exception for the second CFCATCH 
      tag to catch, change the directory in the FILE attribute of the CFFILE 
      tag to a directory that does not exist on your server. --->
<CFLOCK TIMEOUT="30" THROWONTIMEOUT="Yes" TYPE="EXCLUSIVE">

<!--- write an entry to the log file --->
<CFFILE ACTION="Append" FILE="c:\temp\logfile.txt" 
        OUTPUT="This is a test entry" ADDNEWLINE="Yes">         
</CFLOCK>

<!--- catch lock exceptions --->
<CFCATCH TYPE="Lock">
  <CFSET LogFileStatus = "There was a problem obtaining a file lock.  Log 
         entry <B>NOT</B> written.">
</CFCATCH>

<!-- catch any other type of exception that might occur --->
<CFCATCH TYPE="Any">
  <CFSET LogFileStatus = "An unknown exception occurred.  Log entry <B>NOT</B> 
         written.">
</CFCATCH>
</CFTRY>

<P>
<CFOUTPUT>
Processing Complete:  #LogFileStatus#
</CFOUTPUT>
